--- jre.SlackBuild	2006-10-01 17:35:03.000000000 -0400
+++ jre.SlackBuild.s390x	2007-01-16 17:24:46.000000000 -0500
@@ -3,15 +3,15 @@
 rm -rf $PKG
 mkdir -p $PKG
 
-VERSION=1_5_0_09
-DVER=1.5.0_09
-ARCH=i586
+VERSION=1_5_0
+DVER=50 
+ARCH=s390x
 BUILD=1
 
 cd $PKG
 mkdir -p usr/lib
 cd usr/lib
-sh $CWD/jre-${VERSION}-linux-${ARCH}.bin
+tar -zxvf $CWD/ibm-java2-jre-${DVER}-linux-$ARCH.tgz
 mkdir -p $PKG/etc/profile.d
 cp -a $CWD/profile.d/* $PKG/etc/profile.d
 chown -R root:root $PKG
@@ -28,15 +28,17 @@
 find . -perm 555 -exec chmod 755 {} \;
 )
 chmod 755 $PKG/etc/profile.d/*
-( cd $PKG/usr/lib
-  ln -sf jre${DVER} java
+( cd $PKG/usr/lib/ibm-java2-${ARCH}-${DVER}/jre
+  mv bin lib .systemPrefs ../
+  cd ..
+  rmdir -v jre
 )
-mkdir -p $PKG/usr/lib/mozilla/plugins
-( cd $PKG/usr/lib/mozilla/plugins
-  ln -sf /usr/lib/java/plugin/i386/ns7/libjavaplugin_oji.so libjavaplugin_oji.so
+( cd $PKG/usr/lib
+ mv ibm-java2-${ARCH}-${DVER} ibm-java2-${ARCH}-jre-${DVER}
+ ln -sf ibm-java2-${ARCH}-jre-${DVER} java 
 )
 mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/slack-desc.IBM > $PKG/install/slack-desc
 
 cd $PKG
 makepkg -l y -c n /tmp/jre-$VERSION-$ARCH-$BUILD.tgz
